# Interface methods for submodule: InterpolateImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: InterpolateImageFilter
class InterpolateImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput1(self, image) -> None:
		""""""
		...

	def GetInput1(self):
		""""""
		...

	def SetInput2(self, image) -> None:
		""""""
		...

	def GetInput2(self):
		""""""
		...

	def SetDistance(self, _arg: float) -> None:
		""""""
		...

	def GetDistance(self) -> float:
		""""""
		...

	def SetInterpolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableInterpolator(self):
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	def BeforeThreadedGenerateData(self) -> None:
		""""""
		...

	def AfterThreadedGenerateData(self) -> None:
		""""""
		...

